package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.entity.MusicGroupQuit;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

public class MusicGroupQuitDto {

    @ApiModelProperty(value = "乐团编号",required = false)
    private String musicGroupId;

    @ApiModelProperty(value = "用户编号",required = false)
    private Integer userId;

    @ApiModelProperty(value = "描述",required = false)
    private String reason;

    @ApiModelProperty(value = "是否退还课程费用",required = false)
    private boolean isRefundCourseFee;

    @ApiModelProperty(value = "是否退还乐器费用（租金）",required = false)
    private boolean isRefundInstrumentFee;

    @ApiModelProperty(value = "是否退还教辅费用",required = false)
    private boolean isRefundTeachingAssistantsFee;

    @ApiModelProperty(value = "退会员费用",required = false)
    private boolean isRefundMemberFee;

    @ApiModelProperty(value = "退乐保费用",required = false)
    private BigDecimal maintenanceFee;

    @ApiModelProperty(value = "原因",required = false)
    private MusicGroupQuit.ReasonEnum reasonEnum;

    public String getMusicGroupId() {
        return musicGroupId;
    }

    public void setMusicGroupId(String musicGroupId) {
        this.musicGroupId = musicGroupId;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public boolean getIsRefundCourseFee() {
        return isRefundCourseFee;
    }

    public void setIsRefundCourseFee(boolean refundCourseFee) {
        isRefundCourseFee = refundCourseFee;
    }

    public boolean getIsRefundInstrumentFee() {
        return isRefundInstrumentFee;
    }

    public void setIsRefundInstrumentFee(boolean refundInstrumentFee) {
        isRefundInstrumentFee = refundInstrumentFee;
    }

    public boolean getIsRefundTeachingAssistantsFee() {
        return isRefundTeachingAssistantsFee;
    }

    public void setIsRefundTeachingAssistantsFee(boolean refundTeachingAssistantsFee) {
        isRefundTeachingAssistantsFee = refundTeachingAssistantsFee;
    }

    public boolean getIsRefundMemberFee() {
        return isRefundMemberFee;
    }

    public void setIsRefundMemberFee(boolean refundMemberFee) {
        isRefundMemberFee = refundMemberFee;
    }

    public BigDecimal getMaintenanceFee() {
        return maintenanceFee;
    }

    public void setMaintenanceFee(BigDecimal maintenanceFee) {
        this.maintenanceFee = maintenanceFee;
    }

    public MusicGroupQuit.ReasonEnum getReasonEnum() {
        return reasonEnum;
    }

    public void setReasonEnum(MusicGroupQuit.ReasonEnum reasonEnum) {
        this.reasonEnum = reasonEnum;
    }
}
